# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'rails_serverside_datatables'
  spec.version       = '0.1.3'
  spec.authors       = ['Oskar Kirmis']
  spec.email         = ['kirmis@st.ovgu.de']

  spec.summary       = %q{This gem allows you to implement serverside processing (filtering and sorting) easily for datatables, even with computed columns.}
  spec.description   = %q{This gem allows you to implement serverside processing (filtering and sorting) easily for datatables, even with computed columns. That allows you to perform filtering and sorting on complex expressions on database level while being very easy to use when this complexity is not required.}
  spec.homepage      = 'https://git.iftrue.de/okirmis/rails_serverside_datatables'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activerecord', '>= 4.1'

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
end
